"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = _interopRequireWildcard(require("vue"));

var _TextArea = _interopRequireDefault(require("ant-design-vue/es/input/TextArea"));

var _Input = _interopRequireDefault(require("../Input"));

var _types = _interopRequireDefault(require("./types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * @Date: 2020/11/23 8:12 下午
 * @Author: Fioanna
 * @Description: 带文字长度展示的文本域，继承自EInput
 */
var _default = {
  name: 'ETextarea',
  "extends": _Input["default"],
  components: {
    ATextarea: _TextArea["default"]
  },
  props: _types["default"],
  methods: {
    _renderInput: function _renderInput() {
      return _vue.createVNode(_vue.resolveComponent("a-textarea"), _vue.mergeProps({
        props: this.$props
      }, {
        "onChange": this._change,
        "onBlur": this._blur
      }), null);
    }
  }
};
exports["default"] = _default;